Bug 1282252 - Bug triggered in TouchConvertToPointerEvent
Bug triggered in TouchConvertToPointerEvent
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
abrt_hash:2f9f31f8e159a569a1980e22783...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-15 14:34 EST by Pavel Holica
Modified: 2016-03-26 14:14 EDT (History)
10 users (show)

See Also:
Fixed In Version: xorg-x11-server-1.18.1-3.fc23 xorg-x11-server-1.18.1-3.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-11 08:25:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: Xorg.0.log (51.50 KB, text/plain)
2015-11-15 14:34 EST, Pavel Holica
no flags Details
File: backtrace (720 bytes, text/plain)
2015-11-15 14:34 EST, Pavel Holica
no flags Details
File: dmesg (71.56 KB, text/plain)
2015-11-15 14:34 EST, Pavel Holica
no flags Details
File: dso_list (158 bytes, text/plain)
2015-11-15 14:34 EST, Pavel Holica
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (331 bytes, application/octet-stream)
2015-11-15 14:34 EST, Pavel Holica
no flags Details
File: usr_share_xorg_conf_d.tar.gz (2.30 KB, application/octet-stream)
2015-11-15 14:34 EST, Pavel Holica
no flags Details

  None (edit)
Description Pavel Holica 2015-11-15 14:34:33 EST
Version-Release number of selected component:
xorg-x11-server-Xorg-1.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
executable:     /usr/bin/X
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           xorg

Truncated backtrace:
0: /usr/libexec/Xorg (SwapShorts+0x227b) [0x462b8b]
1: /usr/libexec/Xorg (XIGetDevice+0x1665) [0x525bf5]
2: /usr/libexec/Xorg (XIGetDevice+0x1186) [0x524f86]
3: /usr/libexec/Xorg (InitProximityClassDeviceStruct+0x2925) [0x529875]
4: /usr/libexec/Xorg (AccessXFilterReleaseEvent+0x4d2) [0x54a352]
5: /usr/libexec/Xorg (mieqSetHandler+0x3a2) [0x578d02]
6: /usr/libexec/Xorg (mieqProcessInputEvents+0x14f) [0x578d3f]
7: /usr/libexec/Xorg (ProcessInputEvents+0x19) [0x476b49]
8: /usr/libexec/Xorg (SendErrorToClient+0xff) [0x4367df]
9: /usr/libexec/Xorg (remove_fs_handlers+0x453) [0x43a9e3]
10: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x7f9d18b17580]
11: /usr/libexec/Xorg (_start+0x29) [0x424ce9]
12: ? (?+0x29) [0x29]
Comment 1 Pavel Holica 2015-11-15 14:34:36 EST
Created attachment 1094573 [details]
File: Xorg.0.log
Comment 2 Pavel Holica 2015-11-15 14:34:38 EST
Created attachment 1094574 [details]
File: backtrace
Comment 3 Pavel Holica 2015-11-15 14:34:40 EST
Created attachment 1094575 [details]
File: dmesg
Comment 4 Pavel Holica 2015-11-15 14:34:41 EST
Created attachment 1094576 [details]
File: dso_list
Comment 5 Pavel Holica 2015-11-15 14:34:43 EST
Created attachment 1094577 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 6 Pavel Holica 2015-11-15 14:34:45 EST
Created attachment 1094578 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 7 Pavel Holica 2015-11-15 14:35:53 EST
Not sure what happened. HW is Dell XPS 13 (9343)
Comment 8 Paul Finnigan 2015-12-02 17:04:37 EST
Description of problem:
I have no idea what caused this. I just saw the messages that it happened.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.18.0-2.fc23

Additional info:
reporter:       libreport-2.6.3
executable:     /usr/bin/X
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/libexec/Xorg (SwapShorts+0x227b) [0x462b8b]
1: /usr/libexec/Xorg (XIGetDevice+0x1665) [0x525bf5]
2: /usr/libexec/Xorg (XIGetDevice+0x1186) [0x524f86]
3: /usr/libexec/Xorg (InitProximityClassDeviceStruct+0x2925) [0x529875]
4: /usr/libexec/Xorg (AccessXFilterReleaseEvent+0x4d2) [0x54a352]
5: /usr/libexec/Xorg (mieqSetHandler+0x3a2) [0x578d02]
6: /usr/libexec/Xorg (mieqProcessInputEvents+0x14f) [0x578d3f]
7: /usr/libexec/Xorg (ProcessInputEvents+0x19) [0x476b49]
8: /usr/libexec/Xorg (SendErrorToClient+0xff) [0x4367df]
9: /usr/libexec/Xorg (remove_fs_handlers+0x453) [0x43a9e3]
10: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x7f9ddb410580]
11: /usr/libexec/Xorg (_start+0x29) [0x424ce9]
12: ? (?+0x29) [0x29]
Comment 9 Pavel Holica 2015-12-03 03:26:18 EST
I was running cinnamon desktop, maybe it's related somehow.
Comment 10 Jakub Bittner 2015-12-13 15:14:48 EST
Description of problem:
I switched desktops by touchscreen guesture.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.18.0-2.fc23

Additional info:
reporter:       libreport-2.6.3
executable:     /usr/bin/X
kernel:         4.2.6-301.fc23.x86_64+debug
runlevel:       unknown
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/libexec/Xorg (SwapShorts+0x227b) [0x462b8b]
1: /usr/libexec/Xorg (XIGetDevice+0x1665) [0x525bf5]
2: /usr/libexec/Xorg (XIGetDevice+0x1186) [0x524f86]
3: /usr/libexec/Xorg (InitProximityClassDeviceStruct+0x2925) [0x529875]
4: /usr/libexec/Xorg (AccessXFilterReleaseEvent+0x4d2) [0x54a352]
5: /usr/libexec/Xorg (mieqSetHandler+0x3a2) [0x578d02]
6: /usr/libexec/Xorg (mieqProcessInputEvents+0x14f) [0x578d3f]
7: /usr/libexec/Xorg (ProcessInputEvents+0x19) [0x476b49]
8: /usr/libexec/Xorg (SendErrorToClient+0xff) [0x4367df]
9: /usr/libexec/Xorg (remove_fs_handlers+0x453) [0x43a9e3]
10: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x7f5d87e15580]
11: /usr/libexec/Xorg (_start+0x29) [0x424ce9]
12: ? (?+0x29) [0x29]
Comment 11 Peter Hutterer 2016-02-11 19:34:13 EST
triggered reliably by a 3fg pinch gesture to show the overview. Note: while this triggers a bug (which shows the backtrace to help debugging) this is not a crasher.
Comment 12 Fedora Update System 2016-03-09 01:15:42 EST
xorg-x11-server-1.18.1-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-999cf618b7
Comment 13 Fedora Update System 2016-03-09 17:55:09 EST
xorg-x11-server-1.18.1-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-999cf618b7
Comment 14 Fedora Update System 2016-03-10 01:48:06 EST
xorg-x11-server-1.18.1-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1ced8b7745
Comment 15 Fedora Update System 2016-03-10 04:52:15 EST
xorg-x11-server-1.18.1-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1ced8b7745
Comment 16 Fedora Update System 2016-03-11 08:25:10 EST
xorg-x11-server-1.18.1-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-03-26 14:13:56 EDT
xorg-x11-server-1.18.1-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.